<?php
date_default_timezone_set('America/Lima');
class cTipocambio{
	function insertar($fec,$val){
		$now = date('Y-m-d h:i:s a'); 
		$sql = "INSERT tb_tipocambio(
		`tb_tipocambio_reg` ,
		`tb_tipocambio_mod` ,
		`tb_tipocambio_fec` ,
		`tb_tipocambio_dolsun`
		)
		VALUES ('$now','$now','$fec','$val');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ultimoInsert(){
	$sql = "SELECT last_insert_id()"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	function mostrarTodos(){
		$sql="SELECT * FROM tb_tipocambio ORDER BY tb_tipocambio_fec DESC";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
	$sql="SELECT * 
	FROM tb_tipocambio 
	WHERE tb_tipocambio_id=$id";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function modificar($id,$fec,$val){
		$now = date('Y-m-d');
		$sql = "UPDATE tb_tipocambio SET  	
						`tb_tipocambio_mod` =  '$now',
						`tb_tipocambio_fec` =  '$fec',
						`tb_tipocambio_dolsun` =  '$val'
				WHERE tb_tipocambio_id =$id"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	function consultar($fec){
	$sql="SELECT * FROM tb_tipocambio 
	WHERE tb_tipocambio_fec = '$fec'";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function modificar_campo($id,$campo,$val){
		$sql = "UPDATE tb_tipocambio 
		SET `tb_tipocambio_$campo` =  '$val'
		WHERE tb_tipocambio_id =$id"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function mostrarFiltro($fec1,$fec2){
		$sql="SELECT * FROM tb_tipocambio
			WHERE tb_tipocambio_fec BETWEEN '$fec1' and '$fec2'
			ORDER BY tb_tipocambio_id";
			//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>